#pragma once

#include "CoreMinimal.h"
#include "WingBasics.h"
#include "WingServer.h"
#include "WingManual.h"
#include "Documentation_Commands.generated.h"

UCLASS()
class UWing_Documentation_Commands : public UWingHandler
{
	GENERATED_BODY()

public:
	virtual void Register() override
	{
		UWingServer::AddHandler(this,
			TEXT("A concise list of all ue-wingman commands."));
	}
	virtual void Handle() override
	{
		WingManual::Commands(EWingHandlerKind::Normal, TEXT(""), false);
	}
};
